### Constructor

# FwupdPlugin EfiHardDriveDevicePath new_from_volume

#### Declaration [src]

    FuEfiHardDriveDevicePath*
    fu_efi_hard_drive_device_path_new_from_volume (
      FuVolume* volume,
      GError** error
    )

#### Description [src]

Creates a new EFI `DEVICE_PATH` for a specific volume.

Available since: | 1.9.3

#### Parameters

`volume` | `FuVolume`
| A `FuVolume`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuEfiHardDriveDevicePath`
| A `FuEfiHardDriveDevicePath`, or `NULL` on error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.